package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsBatteryData;

import java.util.List;

/**
 * 单体电池实时数据Service接口
 *
 * @author xzzn
 * @date 2025-06-27
 */
public interface IEmsBatteryDataService
{
    /**
     * 查询单体电池实时数据
     *
     * @param id 单体电池实时数据主键
     * @return 单体电池实时数据
     */
    public EmsBatteryData selectEmsBatteryDataById(Long id);

    /**
     * 查询单体电池实时数据列表
     *
     * @param emsBatteryData 单体电池实时数据
     * @return 单体电池实时数据集合
     */
    public List<EmsBatteryData> selectEmsBatteryDataList(EmsBatteryData emsBatteryData);

    /**
     * 新增单体电池实时数据
     *
     * @param emsBatteryData 单体电池实时数据
     * @return 结果
     */
    public int insertEmsBatteryData(EmsBatteryData emsBatteryData);

    /**
     * 修改单体电池实时数据
     *
     * @param emsBatteryData 单体电池实时数据
     * @return 结果
     */
    public int updateEmsBatteryData(EmsBatteryData emsBatteryData);

    /**
     * 批量删除单体电池实时数据
     *
     * @param ids 需要删除的单体电池实时数据主键集合
     * @return 结果
     */
    public int deleteEmsBatteryDataByIds(Long[] ids);

    /**
     * 删除单体电池实时数据信息
     *
     * @param id 单体电池实时数据主键
     * @return 结果
     */
    public int deleteEmsBatteryDataById(Long id);

    /**
     * 新增单体电池实时数据
     *
     * @param emsBatteryDataList 单体电池实时数据
     * @return 结果
     */
    public int insertEmsBatteryDataList(List<EmsBatteryData> emsBatteryDataList);

}
